div.hpp File Reference
`#include <msgpack/preprocessor/arithmetic/detail/div_base.hpp>`
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/tuple/elem.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_DIV(x, y) MSGPACK_PP_DIV_I(x, y)
#define | MSGPACK_PP_DIV_I(x, y) MSGPACK_PP_TUPLE_ELEM(3, 0, MSGPACK_PP_DIV_BASE(x, y))
#define | MSGPACK_PP_DIV_D(d, x, y) MSGPACK_PP_DIV_D_I(d, x, y)
#define | MSGPACK_PP_DIV_D_I(d, x, y) MSGPACK_PP_TUPLE_ELEM(3, 0, MSGPACK_PP_DIV_BASE_D(d, x, y))

## Macro Definition Documentation

## MSGPACK_PP_DIV

#define MSGPACK_PP_DIV | ( |  | x,
|  |  | y
| ) |  | MSGPACK_PP_DIV_I(x, y)

## MSGPACK_PP_DIV_D

#define MSGPACK_PP_DIV_D | ( |  | d,
|  |  | x,
|  |  | y
| ) |  | MSGPACK_PP_DIV_D_I(d, x, y)

## MSGPACK_PP_DIV_D_I

#define MSGPACK_PP_DIV_D_I | ( |  | d,
|  |  | x,
|  |  | y
| ) |  | MSGPACK_PP_TUPLE_ELEM(3, 0, MSGPACK_PP_DIV_BASE_D(d, x, y))

## MSGPACK_PP_DIV_I

#define MSGPACK_PP_DIV_I | ( |  | x,
|  |  | y
| ) |  | MSGPACK_PP_TUPLE_ELEM(3, 0, MSGPACK_PP_DIV_BASE(x, y))